﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.DaoShu110
{
    /// <summary>
    /// 道枢受理工单表
    /// </summary>
    public class ChainAlarm_DS
    {
        /// <summary>
        /// 流水号
        /// </summary>
        [JsonPropertyName("LSH")]
        [MDisplayName("流水号")]
        [VRequired]
        public string SerialNumber { get; set; }

        /// <summary>
        /// 接警员编号
        /// </summary>
        [JsonPropertyName("JJYBH")]
        [MDisplayName("接警员编号")]
        [VRequired]
        public string RegisterNo { get; set; }

        /// <summary>
        /// 接警单编号
        /// </summary>
        [JsonPropertyName("JJDBH")]
        [MDisplayName("接警单编号")]
        [VRequired]
        public string AlarmReceiptNumber { get; set; }

        /// <summary>
        /// 报警电话
        /// </summary>
        [JsonPropertyName("BJDH")]
        [MDisplayName("报警电话")]
        [VRequired]
        public string CallPoliceNumber { get; set; }

        /// <summary>
        /// 报警电话用户名
        /// </summary>
        [JsonPropertyName("BJDHYHM")]
        [MDisplayName("报警电话用户名")]
        [VRequired]
        public string CallPoliceName { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [JsonPropertyName("LXDH")]
        [MDisplayName("联系电话")]
        [VRequired]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 报警地址
        /// </summary>
        [JsonPropertyName("BJDZ")]
        [MDisplayName("报警地址")]
        [VRequired]
        public string CallPoliceAddress { get; set; }

        /// <summary>
        /// 警情类别代码
        /// </summary>
        [JsonPropertyName("JQLBDM")]
        public string PoliceTypeCode { get; set; }

        /// <summary>
        /// 警情类别名称
        /// </summary>
        [JsonPropertyName("JQLBMC")]
        public string PoliceTypeName { get; set; }

        /// <summary>
        /// 报警内容
        /// </summary>
        [JsonPropertyName("BJNR")]
        [MDisplayName("报警内容")]
        [VRequired]
        public string CallPoliceContent { get; set; }

        /// <summary>
        /// 管辖单位代码
        /// </summary>
        [JsonPropertyName("GXDWDM")]
        public string JurisdictionalUnitCode { get; set; }

        /// <summary>
        /// 管辖单位名称
        /// </summary>
        [JsonPropertyName("GXDWMC")]
        public string JurisdictionalUnitName { get; set; }

        /// <summary>
        /// 管辖单位电话
        /// </summary>
        [JsonPropertyName("GXDWDH")]
        public string JurisdictionalUnitNumber { get; set; }

        /// <summary>
        /// 报警时间
        /// </summary>
        [JsonPropertyName("BJSJ")]
        [MDisplayName("报警时间")]
        [VRequired]
        public string CallPoliceTime { get; set; }

        /// <summary>
        /// 推送时间
        /// </summary>
        [JsonPropertyName("TSSJ")]
        [MDisplayName("推送时间")]
        [VRequired]
        public string PushTime { get; set; }

        /// <summary>
        /// 接警单位代码
        /// </summary>
        [JsonPropertyName("JJDWDM")]
        [MDisplayName("接警单位代码")]
        [VRequired]
        public string AlarmReceivingUnitCode { get; set; }

        /// <summary>
        /// 接警单位名称
        /// </summary>
        [JsonPropertyName("JJDWMC")]
        [MDisplayName("接警单位名称")]
        [VRequired]
        public string AlarmReceivingUnitName { get; set; }

        /// <summary>
        /// 接警类型
        /// </summary>
        [JsonPropertyName("JJLX")]
        [MDisplayName("接警类型")]
        [VRequired]
        public string AlarmReceptionType { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("XZQHDM")]
        [MDisplayName("行政区划代码")]
        [VRequired]
        public string AreaCode { get; set; }

    }
}
