﻿using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.DaoShu110
{
    /// <summary>
    /// 道枢办理结果表
    /// </summary>
    public class ChainDeal_DS
    {
        /// <summary>
        /// 接警单编号
        /// </summary>
        [JsonPropertyName("JJDBH")]
        [MDisplayName("接警单编号")]
        [VRequired]
        public string AlarmReceiptNumber { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [JsonPropertyName("FKSJ")]
        public string FeedbackTime { get; set; } = null;

        /// <summary>
        /// 出警处置情况
        /// </summary>
        [JsonPropertyName("CJCZQK")]
        public string DisposalSituation { get; set; }

        /// <summary>
        /// 警情处理结果说明
        /// </summary>
        [JsonPropertyName("JQCLJGSM")]
        public string ResultDescription { get; set; }

        /// <summary>
        /// 反馈人员编号
        /// </summary>
        [JsonPropertyName("FKYBH")]
        public string FeedbackPersonNumber { get; set; }

        /// <summary>
        /// 反馈人员姓名
        /// </summary>
        [JsonPropertyName("FKYXM")]
        public string FeedbackPersonName { get; set; }

        /// <summary>
        /// 反馈单位代码
        /// </summary>
        [JsonPropertyName("FKDWDM")]
        public string FeedbackUnitCode { get; set; }

        /// <summary>
        /// 反馈单位名称
        /// </summary>
        [JsonPropertyName("FKDWMC")]
        public string FeedbackUnitName { get; set; }

        /// <summary>
        /// 入库时间
        /// </summary>
        [JsonPropertyName("TSSJ")]
        [MDisplayName("入库时间")]
        [VRequired]
        public string WarehousingTime { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [JsonPropertyName("HFSJ")]
        public string RevisitTime { get; set; } = null;

        /// <summary>
        /// 电话回访核实情况
        /// </summary>
        [JsonPropertyName("DHHFHSQK")]
        public string CheckingContent { get; set; }

        /// <summary>
        /// 回访结果
        /// </summary>
        [JsonPropertyName("CLJGDM")]
        public string VisitResult { get; set; }

        /// <summary>
        /// 回访内容
        /// </summary>
        [JsonPropertyName("CLJGMC")]
        public string VisitContent { get; set; }

        /// <summary>
        /// 退回接警员
        /// </summary>
        [JsonPropertyName("HANDLEUSERNAME")]
        public string ReturnName { get; set; }

        /// <summary>
        /// 退回部门
        /// </summary>
        [JsonPropertyName("HANDLEBMNAME")]
        public string ReturnUnit { get; set; }

        /// <summary>
        /// 退回原因
        /// </summary>
        [JsonPropertyName("HANDLEOPINION")]
        public string ReturnOpinion { get; set; }

        /// <summary>
        /// 退回时间
        /// </summary>
        [JsonPropertyName("HANDLETIME")]
        public string ReturnTime { get; set; } = null;

        /// <summary>
        /// 处置类型 1正常 2退回 3回访
        /// </summary>
        [JsonPropertyName("CZLX")]
        [MDisplayName("处置类型")]
        [VRequired]
        public int DisposalType { get; set; }
    }
}
