﻿namespace DataSharing.Share.Dtos.DataExchange
{
    public class CityDataReceiveDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [MDisplayName("来源")]
        [VRequired]
        public string Source { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [MDisplayName("工单编号")]
        [VRequired]
        public string FSHCode { get; set; }

        /// <summary>
        /// 0：市民、1：企业
        /// </summary>
        [MDisplayName("请输入正确的市民、企业类型")]
        [VRequired]
        public string ServerName { get; set; }

        /// <summary>
        /// 信件类别
        /// </summary>
        [MDisplayName("信件类别")]
        [VRequired]
        public string PurTypeName { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        [MDisplayName("热点")]
        [VRequired]
        public string ConTypeName { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [MDisplayName("标题")]
        [VRequired]
        [VStringLength(0, 100)]
        public string Title { get; set; }

        /// <summary>
        /// 来电人名称
        /// </summary>
        [MDisplayName("来电人名称")]
        [VRequired]
        [VStringLength(0, 20)]
        public string LinkName { get; set; }

        /// <summary>
        /// 性别 0：未知，1：男，2：女
        /// </summary>
        [MDisplayName("性别")]
        [VRequired]
        public string Gender { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [MDisplayName("联系电话")]
        [VRequired]
        [VStringLength(0, 12)]
        public string Mobile { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [MDisplayName("邮箱")]
        [VStringLength(0, 100)]
        public string Mail { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [MDisplayName("地址")]
        [VRequired]
        [VStringLength(0, 200)]
        public string Address { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [MDisplayName("内容")]
        [VRequired]
        [VStringLength(0, 7000)]
        public string Content { get; set; }

    }
}
