﻿namespace DataSharing.Share.Dtos.Enterprise
{
    public class WriteResultDto
    {
        /// <summary>
        /// 工单编号，唯一标识
        /// </summary>
        [MDisplayName("工单编号")]
        [VRequired]
        [VStringLength(0, 20)]
        public string ReplyCode { get; set; }

        /// <summary>
        /// 回复日期
        /// </summary>
        [MDisplayName("回复日期")]
        [VRequired]
        public DateTime? ReplyDate { get; set; }

        /// <summary>
        /// 回复人
        /// </summary>
        [MDisplayName("回复人")]
        [VRequired]
        [VStringLength(0, 8)]
        public string ReplyUserName { get; set; }

        /// <summary>
        /// 回复部门
        /// </summary>
        [MDisplayName("回复部门")]
        [VRequired]
        [VStringLength(0, 50)]
        public string ReplyBMName { get; set; }

        /// <summary>
        /// 回复详情
        /// </summary>
        [MDisplayName("回复详情")]
        [VRequired]
        public string ReplyContent { get; set; }

        /// <summary>
        /// 0:办理中 1:办理完成 2:办理退回
        /// </summary>
        [MDisplayName("办理类型")]
        [VRequired]
        public int ReplyResultType { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<ReplyFiles>? ReplyFiles { get; set; }
    }
}
