﻿namespace DataSharing.Share.Dtos.Province
{
    public class ProvinceResponse
    {
        public BaseProvinceResponse ReturnInfo { get; set; }
    }

    /// <summary>
    /// 省接口返回
    /// </summary>
    public class BaseProvinceResponse
    {
        public string Code { get; set; }

        public string Description { get; set; }

        public ErrorObjs custom { get; set; }
    }

    public class ErrorObjs
    {
        public List<ErrorInfo> errorObjs { get; set; }
    }

    public class ErrorInfo
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        public string caseserial { get; set; }

        public string resturl { get; set; }

        /// <summary>
        /// 过程唯一值
        /// </summary>
        public string caseid { get; set; }
    }

    /// <summary>
    /// 省接口调用返回数据
    /// </summary>
    public class Reponse
    {
        [System.Text.Json.Serialization.JsonPropertyName("ReturnInfo")]
        public ReponseBase ReturnInfo { get; set; }

        public static Reponse Success(string? description = "")
        {
            return new Reponse
            {
                ReturnInfo = new ReponseBase
                {
                    Code = "1",
                    Description = (description ?? "您已成功提交数据！")
                }
            };
        }

        public static Reponse Failed(string? description = "")
        {
            return new Reponse
            {
                ReturnInfo = new ReponseBase
                {
                    Code = "0",
                    Description = (description ?? "接口调用失败！")
                }
            };
        }
    }

    /// <summary>
    /// 省调用接口返回状态
    /// </summary>
    public class ReponseBase
    {
        [System.Text.Json.Serialization.JsonPropertyName("Code")]
        public string Code { get; set; }

        [System.Text.Json.Serialization.JsonPropertyName("Description")]
        public string Description { get; set; }
    }
}
