﻿namespace DataSharing
{
    public class ChannelConfiguration
    {
        /// <summary>
        /// 省12345
        /// </summary>
        public ConfigurationProvince Province { get; set; }

        /// <summary>
        /// 企业服务
        /// </summary>
        public ConfigurationEnterprise Enterprise { get; set; }

        /// <summary>
        /// 市州数据交换
        /// </summary>
        public ConfigurationCityHandOver CityHandOver { get; set; }

        /// <summary>
        /// 系统市州编码
        /// </summary>
        public ConfigurationCityCode CityCode { get; set; }

        /// <summary>
        /// 融媒体
        /// </summary>
        public ConvergenceMediaCode MediaCode { get; set; }

        /// <summary>
        /// 道枢110
        /// </summary>
        public ConfigurationPoliceDS PoliceDS { get; set; }

        /// <summary>
        /// 业务系统附件上传配置
        /// </summary>
        public ConfigurationBusinessFile BusinessFile { get; set; }

        /// <summary>
        /// 门户网站配置
        /// </summary>
        public ConfigurationWebPortal WebPortal { get; set; }

        /// <summary>
        /// 新老数据交换
        /// </summary>
        public ConfigurationSendDataOld SendDataOld { get; set; }

        /// <summary>
        /// 写入工单数据
        /// </summary>
        public ConfigurationHotlineClient HotlineClient { get; set; }
    }

    /// <summary>
    /// 省12345
    /// </summary>
    public class ConfigurationProvince
    {
        public string HuiJu { get; set; } = string.Empty;
        public string XieTong { get; set; } = string.Empty;
        public string ClientId { get; set; } = string.Empty;
        public string ClientSecret { get; set; } = string.Empty;
        public string Scheme { get; set; } = string.Empty;
        public int MissedCallCount { get; set; }
    }

    /// <summary>
    /// 企业服务
    /// </summary>
    public class ConfigurationEnterprise
    {
        /// <summary>
        /// 请求的址
        /// </summary>
        public string AddressUrl { get; set; } = string.Empty;

        /// <summary>
        /// id
        /// </summary>
        public string ClientId { get; set; } = string.Empty;

        /// <summary>
        /// 密钥
        /// </summary>
        public string ClientSecret { get; set; } = string.Empty;

        /// <summary>
        /// 
        /// </summary>
        public string TenantId { get; set; } = string.Empty;

    }

    /// <summary>
    /// 市州数据交换
    /// </summary>
    public class ConfigurationCityHandOver
    {
        /// <summary>
        /// 密钥
        /// </summary>
        public string SecretKey { get; set; } = string.Empty;

        /// <summary>
        /// 请求市州名称
        /// </summary>
        public string SendCityName { get; set; } = string.Empty;

        /// <summary>
        /// 接收市州名称
        /// </summary>
        public string ReceiveCityName { get; set; } = string.Empty;

        /// <summary>
        /// 请求地址
        /// </summary>
        public string BaseUrl { get; set; } = string.Empty;

        /// <summary>
        /// 接口地址
        /// </summary>
        public string UrlAddress { get; set; } = string.Empty;
    }

    /// <summary>
    ///融媒体
    /// </summary>
    public class ConvergenceMediaCode
    {
        /// <summary>
        /// 
        /// </summary>
        public string MediaCode { get; set; }
    }

    /// <summary>
    /// 系统市州编码
    /// </summary>
    public class ConfigurationCityCode
    {
        /// <summary>
        /// 
        /// </summary>
        public string AreaCode { get; set; } = string.Empty;
    }

    /// <summary>
    /// 业务系统附件上传配置
    /// </summary>
    public class ConfigurationBusinessFile
    {
        /// <summary>
        /// 请求地址
        /// </summary>
        public string BaseUrl { get; set; }

        /// <summary>
        /// 上传接口地址
        /// </summary>
        public string UploadUrlAddress { get; set; }

        /// <summary>
        /// 下载接口
        /// </summary>
        public string DownloadUrlAddress { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        public string Source { get; set; }
    }

    /// <summary>
    /// 道枢110
    /// </summary>
    public class ConfigurationPoliceDS
    {
        //1、非警情分流推送服务_宜宾市
        //   receive-工单受理
        //   http://10.12.185.168:8001/service/api/ds/110To12345/chainAlarm
        public string token1_token { get; set; }
        public string token1_dcsm { get; set; }
        public string token1_sm2_public { get; set; }
        public string token1_sm2_private { get; set; }
        public string token1_sm4 { get; set; }
        public string token1_sm4_mw { get; set; }

        //4、警务警情分流推送服务_宜宾市
        //   receive-工单办结
        //   http://10.12.185.168:8001/service/api/ds/110To12345/chainDeal
        public string token4_token { get; set; }
        public string token4_dcsm { get; set; }
        public string token4_sm2_public { get; set; }
        public string token4_sm2_private { get; set; }
        public string token4_sm4 { get; set; }
        public string token4_sm4_mw { get; set; }

        //3、警务警情分流查询服务_宜宾市
        //   send-工单受理
        //   http://10.12.185.168:8001/service/api/ds/12345To110/chainAlarm
        public string token3_token { get; set; }
        public string token3_dcsm { get; set; }
        public string token3_sm2_public { get; set; }
        public string token3_sm2_private { get; set; }
        public string token3_sm4 { get; set; }
        public string token3_sm4_mw { get; set; }

        //2、非警情分流查询服务_宜宾市
        //   send-工单办结
        //   http://10.12.185.168:8001/service/api/ds/12345To110/chainDeal
        public string token2_token { get; set; }
        public string token2_dcsm { get; set; }
        public string token2_sm2_public { get; set; }
        public string token2_sm2_private { get; set; }
        public string token2_sm4 { get; set; }
        public string token2_sm4_mw { get; set; }

        //5、从公安网侧获取12345政务服务热线平台知识库列表
        //   send-知识库列表
        //   http://10.12.185.168:8001/service/api/ds/get_knowledge_info
        public string token5_token { get; set; }
        public string token5_dcsm { get; set; }
        public string token5_sm2_public { get; set; }
        public string token5_sm2_private { get; set; }
        public string token5_sm4 { get; set; }
        public string token5_sm4_mw { get; set; }

        //6、从公安网侧获取12345政务服务热线平台知识内容
        //   send-知识库内容
        //   http://10.12.185.168:8001/service/api/ds/get_knowledge_content
        public string token6_token { get; set; }
        public string token6_dcsm { get; set; }
        public string token6_sm2_public { get; set; }
        public string token6_sm2_private { get; set; }
        public string token6_sm4 { get; set; }
        public string token6_sm4_mw { get; set; }
    }

    /// <summary>
    /// 门户网站
    /// </summary>
    public class ConfigurationWebPortal
    {
        /// <summary>
        /// 系统主题
        /// </summary>
        public string SystemSettingsTheme { get; set; }
    }

    /// <summary>
    /// 新老数据交换
    /// </summary>
    public class ConfigurationSendDataOld
    {
        /// <summary>
        /// 请求的址
        /// </summary>
        public string AddressUrl { get; set; } = string.Empty;

        /// <summary>
        /// id
        /// </summary>
        public string ClientID { get; set; } = string.Empty;

        /// <summary>
        /// 密钥
        /// </summary>
        public string Secret { get; set; } = string.Empty;

        /// <summary>
        /// 
        /// </summary>
        public bool IsSend { get; set; }
    }

    /// <summary>
    /// 写入工单数据
    /// </summary>
    public class ConfigurationHotlineClient
    {
        /// <summary>
        /// 请求的址
        /// </summary>
        public string AddressUrl { get; set; } = string.Empty;

    }
}
