﻿using DataSharing.Share.Dtos.Enterprise;
using IdentityModel.Client;
using System.Net.Http.Headers;
using XF.Domain.Exceptions;

namespace DataSharing.Enterprise
{
    public static class EnterpriseHttpClientExtensions
    {
        public static HttpClient BuildHeader(this HttpClient httpClient, TokenTokenEnterpriseInfo tokenInfo)
        {
            if (tokenInfo == null || string.IsNullOrEmpty(tokenInfo.AccessToken))
                throw new UserFriendlyException("无效token");
            httpClient.SetToken(tokenInfo.TokenType, tokenInfo.AccessToken);
            httpClient.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

            return httpClient;
        }

        public static HttpClient SetHttpClient(this HttpClient httpClient, string baseAddress, TokenTokenEnterpriseInfo tokenInfo) =>
            httpClient.SetBaseAddress(baseAddress).BuildHeader(tokenInfo);
    }
}
